# Mission 1: 26/09/23

## Exo 1: Recherche Gitlab
1. Retrouver une chaîne de caractères dans un dépôt de fichiers versionnés.

Les deux fichiers contenant la chaîne de caractères **"LE MOOC RECHERCHE REPRODUCTIBLE C'EST GENIAL"**  sont:

 - module1/exo1/aebef6b0a5.txt
 - module1/exo1/f683bbad4b.txt

2. Retrouver des modifications effectuées dans un dépôt avec l'historique

 - Numéro du commit: **505c4e26afaeaae6f563fe8b593155ec9d6210ca**
 - Auteur du commit: **Arnaud Legrand**


## Exo 2: Ecrire un fichier Markdown

On devait reproduire ce [fichier PDF](https://lms.fun-mooc.fr/asset-v1:inria+41016+self-paced+type@asset+block/module1_exo2_fichier-markdown.pdf).

- Pour écrire en **itallique**, on met le texte entre deux *
- Pour écrire en **gras**, on met le texte entre deux **
- Pour **barrer le texte**, on le met entre deux tildes
- Pour mettre un **lien hypertexte**: [Nom du lien] Puis l'adress du lien entre ().
- Pour les **listes à puces**, on met des tirets, puis espace/tiret pour les sous-items
- Pour les **numérotations**, idem que les tirets: 1. 2. ...
- Pour les extraits de **code**: entre deux ` 
- Pour les **images**, c'est pareil que les liens mais avec un ! devant. 


## Exo 3: Journal de bord
J'ai commencé de journal de bord que je completerai à chaque mission. 

Pour cela je me suis servie de ce que j'ai appris sur le Mooc pour la mise en page.

## En résumé

Dans Gitlab on peut:

- Rechercher un fichier avec la barre "Search or jump to"
- Retrouver des modifications effectuées dans un dépôt comprenant un grand nombre de commits par divers contributeurs du projet
- Retrouver les noms des auteurs de ces commits

En Markdown, on peut:

1. Faire des listes comme celle-ci
2. Ecrire en gras, itallique, barré, ...
3. Ecrire du code 
4. Mettre des images
5. Insérer des liens hypertexte




# Mission 2: 03/10/23

## Exo 1: Savoir utiliser un notebook
On devait refaire un pdf à partir d'un Jupyter vierge. 
J'ai déjà utilisé Jupyter notebook donc c'était la partie simple. 

- Pour les titres, c'est avec les # en mettant le format de la cellule en "markdown".
- Pour les textes, on met aussi le format de la cellule en "markdown".
- Pour les paramètres spéciaux de textes (gras, itallique, hyperline, ...) c'est en langage markdown.
- Pour les maths dans le texte, on écrit en langage Latex.
- Pour le code, on écrit simplement du code.

Ensuite on compare avec le modèle, on commit et on valide tout.



## Exo 2: Savoir faire un calcul simple soi-même
Calculer les valeurs statistiques avec Jupyter: on utilise juste les fonctions python.

```
import numpy as np
# Tableau de base:
a= 14.0, 7.6, 11.2, 12.8, 12.5, 9.9, 14.9, 9.4, 16.9, 10.2, 14.9, 18.1, 7.3, 9.8, 10.9,12.2, 9.9, 2.9, 2.8, 15.4, 15.7, 9.7, 13.1, 13.2, 12.3, 11.7, 16.0, 12.4, 17.9, 12.2, 16.2, 18.7, 8.9, 11.9, 12.1, 14.6, 12.1, 4.7, 3.9, 16.9, 16.8, 11.3, 14.4, 15.7, 14.0, 13.6, 18.0, 13.6, 19.9, 13.7, 17.0, 20.5, 9.9, 12.5, 13.2, 16.1, 13.5, 6.3, 6.4, 17.6, 19.1, 12.8, 15.5, 16.3, 15.2, 14.6, 19.1, 14.4, 21.4, 15.1, 19.6, 21.7, 11.3, 15.0, 14.3, 16.8, 14.0, 6.8, 8.2, 19.9, 20.4, 14.6, 16.4, 18.7, 16.8, 15.8, 20.4, 15.8, 22.4, 16.2, 20.3, 23.4, 12.1, 15.5, 15.4, 18.4, 15.7, 10.2, 8.9, 21.0

np.mean(a)
14.113000000000001

np.min(a)
2.8

np.max(a)
23.4

np.median(a)
14.5

np.std(a, ddof=1)
4.334094455301447
```

## Exo 3: Réaliser un affichage graphique
On devait reproduire les graphiques du modèle. Python normal.

```
import matplotlib.pyplot as plt

a=14.0, 7.6, 11.2, 12.8, 12.5, 9.9, 14.9, 9.4, 16.9, 10.2, 14.9, 18.1, 7.3, 9.8, 10.9,12.2, 9.9, 2.9, 2.8, 15.4, 15.7, 9.7, 13.1, 13.2, 12.3, 11.7, 16.0, 12.4, 17.9, 12.2, 16.2, 18.7, 8.9, 11.9, 12.1, 14.6, 12.1, 4.7, 3.9, 16.9, 16.8, 11.3, 14.4, 15.7, 14.0, 13.6, 18.0, 13.6, 19.9, 13.7, 17.0, 20.5, 9.9, 12.5, 13.2, 16.1, 13.5, 6.3, 6.4, 17.6, 19.1, 12.8, 15.5, 16.3, 15.2, 14.6, 19.1, 14.4, 21.4, 15.1, 19.6, 21.7, 11.3, 15.0, 14.3, 16.8, 14.0, 6.8, 8.2, 19.9, 20.4, 14.6, 16.4, 18.7, 16.8, 15.8, 20.4, 15.8, 22.4, 16.2, 20.3, 23.4, 12.1, 15.5, 15.4, 18.4, 15.7, 10.2, 8.9, 21.0

plt.plot(a, color='b')
plt.grid(color='gray', linestyle='--')

plt.hist(a, color='b', edgecolor = 'k')
plt.grid(color='gray', linestyle='--')
```


# Mission 3: 10/10/23
## Exo 1: Analyse de l'incidence du syndrôme grippal avec une copie locale des données

- Apprendre à télécharger des données depuis un fichier local
- Tester que le fichier local n'existe pas encore avant de le télécharger
- Faire un fichier Jupyter structuré avec certaines cellules de commentaires pour s'y retrouver
- Commit & Push dans Gitlab, pour avoir une trace dans Gitlab
- Comparer avec la solution, corriger et valider l'exercice

## Exo 2: Analyse de l'incidence de la varicelle

On fait le même code Jupyter qu'avec la grippe, mais avec d'autres données.
J'ai téléchargé les données de l'incidence de la varicelle sur le site du Réseau Sentinelles, puis j'ai déroulé les volets. 
Il faut néanmoins corriger certaines choses puisque les odnnées ne sont pas identique à la grippe (obv), donc c'était galère. 
Ensuite on fait les plots de l'incidence, on classe les quantités dans l'ordre et on regarde le minimum et le maximum. 

Conclusion: L'année où la varicelle a fait le plus de contaminations est l'année 2009, et l'année la plus tranquille est l'année 2020. 


# Mission 4: 17/10/23
## Exo1: Écrire un document computationnel

Il fallait choisir un des sujets dans la liste faire une analyse des données associées sous forme d'un document computationnel. 
J'ai choisi le Sujet 5 : Analyse des dialogues dans l'Avare de Molière.
Pour ce sujet, il fallait:
- Classer les personnages selon la quantité de parole grâce à une analyse syntaxique du texte (scènes / répliques / mots). En particulier, quel est celui qui parle le plus ? Quel est celui qui ne parle pas du tout ?
- Réaliser un graphique qui montrera le nombre de mots que chaque acteur prononce dans chaque scène en s'inspirant de l'étude de l'Avare de Molière réalisée par l'OBVIL.

J'ai d'abord importé le texte et séparé toutes les scènes et toutes les lignes. 
Pour savoir combien de fois un personnage prenait la parole, il fallait chercher combien de fois son nom apparaissait seul sur une ligne (annonce du nom du personnage avant qu'il parle)
Analyser ce nombre pour chaque scène et pour chaque personnage.
Puis j'ai créé des tableaux de 13 valeurs chacun. La valeur représente le nombre de fois où le personnage intervient dans la scène.
Un tableau par scène. Ce qui fait 32 tableaux de 13 valeurs chacun (=32 scènes dans lesquel les 13 personnages interviennent ou pas)

|:---------------:|:Intel:|:intel:|
|:Scène 1:|:2:||:0:|
|:Scène 2:|:32:|:6:|

Pour cela, j'ai choisi de faire des graphiques en camembert.
Etapes que j'ai suivies: 
- Importer le texte de toute la pièce en format .txt.
- Séparer le texte selon les différentes scènes (dans le fichier txt, les scènes sont annoncées par un "###")
- Séparer chaque ligne de chaque partie
- 
- 
